EDIT - bug #9668

Secundum reference is switched when swap synonym and accepted taxon
06/15/2021 09:36 AM - Katja Luther

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description
mail NadjaK:

ich bin gerade auf eine Fehlerquelle gesto3en:

Ich habe Salmonopuntia schickendantzii als neues Synonym hinzugefiigt, und das Secundum ist Kéhler et al. Dieser Name soll auch
der neue akzeptierte werden.

-

Lé,':i Brasiliopuntia schickendantzii (F.A.C Weber) R.Puente & Majure in Suce. Pl... £3 | = B || Detais 3

m Brasiliopuntia schickendantzii (F.A.C.Weber) R.Puente & Majure in Succ. PL. Res. ~ Synonym: Salmonopuntia schickendantzii (F.A.C.Weber) F
M.Kohler syn. sec. Kihler & al. 2021

8: 25. 2014
Title Cache
eOpu ntia schickendantzi F.A.C.Weber in Bois, Dict. Hort.: Bg8. 1808
eCy]ind ropuntia schickendantzi (F.A.C.Weber) Backeb., Kaktus-ABC: 122, 1936 ["19357] Appended Phrase
Secundum Kdhler, M., Font, F., Puente- =
Austrocylindropuntia schickendantzii (F.A.C.Weber) Backeb. in Cact. Succ. J. (Los Angeles) 23: Martinez, R. & Majure, L.C.
14. 1951 2021: *That's Opuntia, that
was!’, again: a new combination
e Maortolopuntia schickendantzi (F.A.C.Weber) Guiggi in Cactology 5 (Suppl. I): 1. 2015 for an old and enigmatic Opuntia
5.l. (Cactaceae). = Phytotaxa
eSa]monopu‘nn'nsch'ic]wndamzii(Flh.C.Wc'hcr] Font & M. Kohler in Phytotaxa 505(3): 267. 2021 Detail 505(3): 262-274
etall
°Opu ntia cochabambensis Cirdenas in Revista Agric. (Cochabamba) §: 20. 1955 b Links

Exclude Authorship
Synonym is doubtful
Synonym is published
+ Mame: Salmonopuntia schickendantzii (F.A.C.Weber) Font
& M.Kohler

a Platyopuntia conjungens F. Ritter, Kakteen Suidamerika 2: 494. 1980

Opuntia conjungens (F.Ritter) P.J.Braun & Esteves in Succulenta (Netherlands) 74(3): 133.
1995

- Cnlnntifia Mama: Calmmanamantin sabinboemdsed=ii

Aber, wenn ich das mit dem vorher akzeptierten Namen tausche, werden auch die Secundum-Referenzen getauscht, und zwar ohne
Warnung.

Salmonoopuntia schickendantzii bekommt dann das Secundum Kiesling et al. — also das des vorher akzeptierten Taxons, wahrend
Brasiliopuntia schickendantzii als Synonym das Secundum Kéhler et al. bekommt. Und beides ist natirlich falsch.

Ich habe das mehrmals ausprobiert, mit demselben Ergebnis. kann mich nicht erinnern, dass das friiher auch schon so war, ist das
vielleicht ein Bug? Das ist natlrlich eine Riesen-Fehlerquelle. Schaut Euch das mal an.
[._f.;,'i Salmonopuntia schickendantzii (F.A.C.Weber) Font & M.Kohler in Phytotaxa... 3 = B8 _ﬁ Details 23

505(3): 267. 2021

Title Cache
el}pu ntia schickendantzii F.A.C.Weber in Bois, Dict. Hort.: 898, 1808
eCy]ind ropuntia schickendantzii (F.A.C.Weber) Backeb., Kaktus-ABC: 122. 1936 [“19357] Appended Phrase
Secundum
Austrocylindropuntia schickendantzii (F.A.C.Weber) Backeb. in Cact. Suce. J. (Los Angeles) 23:
14. 1951
e Brasiliopuntia schickendantzi (F.A.C.Weber) R.Puente & Majure in Suce. Pl. Res. 8: 25. 2014
e Mortolopuntia schickendantzii (F.A.C.Weber) Guiggi in Cactology 5 (Suppl. I): 1. 2015 Detail
hetall
°Opun1:iacuhaham'hcnsis(‘é.:dcnasin Revista Agric. (Cochabamba) 9: 20. 1955 b Links

Exclude Authorship

i j .Ritter, Siid ika 2 1980 .
eP]a.t_\-'Upunnacc-n_]ungcnsF Ritter, Kakteen Stidameri 494. 19 Taxan is doubtful

Opuntia conjungens (F.Ritter) P.J.Braun & Esteves in Succulenta {Netherlands) 74(3): i33.

1995 & M.Kohler

@ Salmonopuntia schickendantzii (F.A.C.Weber) Font & M.Kghler in Phytotaxa v Thion: Salionopuntia schilckencantzli (FA.CNeber) Foht &
M.Kohler sec. Kiesling & al. 2014

Kiesling, R., Oakley, L., Metzing, D., i
Muruaga, M., Albesiano, A.S., ==l
Korotkowva, M., Huaylla Limachi, L. &

Quispe, N. 2014: Cactaceae, pp.

443-471. - In: Jargensen, P.M.,

Nee, M.H. & Beck, 5.G., Catilogo

de las plantas vasculares de Bolivia

Taxon is published
+ HName: Salmonopuntia schickendantzii (F.A.C.Weber) Font 1

Associated revisions

Revision 63004250 - 06/15/2021 09:40 AM - Katja Luther

ref #9668: hotfix for secundum handling when swap syn and accepted

Revision 5b77dba4 - 06/15/2021 10:08 AM - Katja Luther

ref #9668: hotfix for secundum handling when swap syn and accepted

Revision c9e4e6f8 - 06/15/2021 02:12 PM - Katja Luther

ref #9668: hotfix for secundum handling when swap syn and accepted - continue

Revision e13687ce - 07/14/2021 03:44 PM - Andreas Mdller

ref #9668 fix CCE due to unordered result.getUpdatedObjects() and NPE due to missing secSources and some cleanup and javadoc

Revision 9b5e79ee - 08/11/2021 02:48 PM - Katja Luther

ref #9340, #9734, #9668: further improvements for configurable sec handling during taxon(base) operations

Revision f13ee832 - 08/11/2021 03:08 PM - Katja Luther

ref #9340, #9734, #9668: further improvements for configurable sec handling during taxon(base) operations

Revision 296fa5af - 08/12/2021 11:36 AM - Katja Luther
ref #9340, #9734, #9668: result should be of type DeleteResult

History

#1 - 06/15/2021 09:36 AM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.25

#2 - 06/15/2021 10:14 AM - Katja Luther

As a workaround the secundum reference is switched in editor for a quick hotfix.

The complete implementation needs to be done in the service layer method.

#3 - 06/15/2021 10:49 AM - Katja Luther

- Description updated

#4 - 06/15/2021 11:01 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

The hotfix is implemented, please review with nightly.
#5 - 06/15/2021 01:09 PM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

| get

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/taxon.service
last remote request client time : 2021-06-15T13:01:22.95
last remote request response header time : Tue, 15 Jun 2021 11:01:23 GMT
client error time : 2021-06-15T13:01:22.981
login : admin
editor version : 5.25.0.202106151047
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.23.0.0.20210422
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.ClassCastException: eu.etaxonomy.cdm.model
.taxon.Taxon cannot be cast to eu.etaxonomy.cdm.model.taxon.Synonym)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse. jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse. jface.window.Window.open (Window. java:794)
at org.eclipse.jface.dialogs.MessageDialog.open (MessageDialog. java:396)
at org.eclipse.jface.dialogs.MessageDialog.open (MessageDialog. java:424)
at org.eclipse.jface.dialogs.MessageDialog.openWarning (MessageDialog. java:532)
at eu.etaxonomy.taxeditor.model.MessagingUtils$4.run (MessagingUtils. java:584)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.ClassCastException: eu.etaxonomy.cdm.model.taxon.Taxon cannot be cast to eu.etaxonomy.cdm
.model.taxon.Synonym

at eu.etaxonomy.taxeditor.editor.name.operation.SwapSynonymAndAcceptedOperation.execute (SwapSynonymAndAcce
ptedOperation. java:75)

at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$3 (AbstractUtility.java:149)

at org.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener.java:162)

at org.eclipse.ui.internal.UISynchronizer$3.run (UISynchronizer. java:154)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

33 more

The reason might be that somewhere in the httplnvoker call the cdmEntity of the update result is also added to the updated objects and therefore it is

not defined which of the both elements is returned by iterator().next();
It is also not correct IMO that swapSynonymAndAcceptedTaxon adds only the synonym to the updated objects. The taxon was also updated.

#6 - 06/15/2021 01:14 PM - Andreas Miuller

In general | wonder if it is a good idea to stay with the new implementation of the method. The current problem shows that users expect that data
stays with the name, not with the taxonbase record. So also supplemental data and so needs to be kept.

Shouldn't we simply use the old implementation again by using newUuidForAcceptedTaxon=true? The problem that occurred here some time ago is
fixed | think.

However, both solutions have advantages and disadvantages, but the current case shows, that the current solution is not simple as one might think
and that it is not necessarily what users expect.

#7 - 06/18/2021 09:04 AM - Katja Luther

Discussion how to handle Secundum Reference:
mail AM:
noch eine bisschen detaillierter Uberlegung zu der Secundum Referenz:

Relevant ist das Problem nur, wenn diese zwischen altem akzeptiertem Taxon und altem Synonym abweichend ist. In diesem Fall ist die Bedeutung
der sec des akz. Taxons die, dass in dieser Quelle das Konzept beschrieben wird. Die sec. des Synonyms (syn. sec.) besagt, dass eine Quelle
diesen Namen als Synonym des 0.g. akz. Taxonkonzepts sieht, dieses Synonym aber in der Quelle des akz. Taxons fehlt (sonst kdnnte diese Quelle
selber verwendet werden und es wére wieder acc. sec. = syn. sec.).

Wenn jetzt das akzeptierte Taxon und das Synonym getauscht werden, &ndert sich dadurch das Konzept nicht (oder nur in dem Fall, in dem die
Konzeptdefinition einen expliziten akzeptierten Namen miteinbezieht). Es macht also eigentlich Sinn, dass das neue akzeptierte Taxon die sec vom
alten akzeptierten Taxon Gbernimmt. Lediglich sollte der NamelnSource ggf. angepasst werden, da dieser sich ja &ndert. Diesen kann man seit
neustem explizit erfassen in der secundum source.

Beim Synonym ist das etwas anders: wenn diese besagt, dass ein Name als Synonym zu einem Taxonkonzept gehort, aber im Originalkonzept nicht
genannt wurde, sollte i.d.R. das neue Synonym, welches vorher akzeptiertes Taxon war seine sec. (dann als syn. sec.) behalten, da es ja vermutlich
(aber nicht zwangslaufig) in der Quelle des Konzepts genannt wurde.

Zusammenfassend: der Default-Fall ware eigentlich, dass nach der Operation sowohl das neue akzeptierte Taxon als auch das neue Synonym die
sec. vom alten akzeptierten Taxon Ubernehmen und zuséatzlich der NameUsedInSource des neuen akzeptierten Taxons gesetzt wird.

Zuséatzlich sollte fir diesen eher seltenen Fall, dass acc. sec. und syn. sec. von einander abweichen, immer mindestens eine Warnung erscheinen,
dass die Secundumreferenzen Uberprift werden sollten.

Soviel zur Theorie. In der Praxis flihrte die Tatsache, dass derzeit Sec-Ref des alten akzeptierten Taxons dem neuen akzeptierten Taxon und die des
alten akzeptierten Synonyms dem neuen akzeptierten Synonym zugefligt wird zu Irritation bei Nadja, die das genau andersherum erwartet hatte.
Dies mag auch daran liegen, dass die Secundum-Referenz in Caryophyllales semantisch teilweise anders verwendet wird als oben beschrieben,
wenn ich es richtig verstanden habe.

Da das Problem zumindest derzeit m.E. nur in Caryophyllales und in der Cuba-DB vorkommt, wére es vor allem von den an diesen DBs Arbeitenden
interessant zu wissen, was das erwartete Standardverhalten sein soll, und welche MaBnahmen es geben soll, um von diesem Standard
abzuweichen.

M@églich wére einfach nur eine Warnung, dass ggf. manuelles Nacharbeiten notwendig ist, oder eine Auswahl aus méglichen Handlungsalternativen.

Wie von Katja bereits beschrieben, brauchten wir fir die Supplemental-Data des Taxons/Synonyms (nicht der Namen!) eigentlich etwas Ahnliches.
Hier geht es um Annotations, Marker, Sources, Identifier, Extensions, Credits und Rights. Diese werden bislang selten genutzt, aber wenn sie genutzt
werden musste eigentlich in jedem Fall entschieden werden, ob sie beim Taxon/Synonym bleiben, quasi mit dem Namen mitwandern oder ganz
geldscht werden sollen.

Da das nicht ganz trivial ist wirde ich erstmal vorschlagen, dass wir es erstmal so handhaben, dass bei Vorliegen von taxonbasierten supplemental
data lediglich eine Warnung erscheint, dass diese ggf. manuell verschoben oder geléscht werden miissen.

Anm.: Bei genauerer Betrachtung miisste eigentlich auch bei acc. sec. = syn. sec. entschieden werden, ob der NamelnSource (neu) gesetzt werden
soll durch die Operation. Diesen gibt es erst seit kurzem, daher war das bislang auch noch nicht Thema. Dies wére dann fir alle DBs relevant, die mit
externen Secundum-Referenzen arbeiten (also mit Referenzen, die sich nicht auf die eigene Datenbank beziehen).

mail WB:

vielen Dank fir's detaillierte Durchdenken!

Wie Du schon sagst ist selbst bei Gleichheit der sec.- und syn.-sec. Referenz der Fall nicht einfach so abzuhandeln. Und ein Swap kann ja auch eine
von mehreren Operationen an einem Taxon sein, sodass auch die Ubernahme der alten sec.-Ref. mit NamelnSource daneben liegen kann. Ich
pladiere daftr, hier als Default beide zu I6schen — dann kommt jedenfalls nichts falsches heraus. Spater konnte man das dann eventuell verfeinern,
aber derzeit ware das die sichere Variante.

Hinsichtlich der Supplemental data wére — wenn vorhanden — ein Hinweis gut, der klarstellt, was da passiert. Ich denke nicht, dass man diese Daten
einfach Ubernehmen kann, kenne aber dazu die Verwendung zu wenig. Die Create/Update Daten werden ja vermutlich ohnehin automatisch
geéandert.

mail NadjaK:

In der Praxis bei Caryophyllales ist es so, dass wenn ein akzeptiertes Taxon und ein Synonym getauscht werden, auch eine neue Sec.-Referenz
hinzukommt, aufgrund derer der Tausch gemacht wird, also zum Beispiel ein neues Treatment. Ein neuer Name, der dann der neue akzeptierte
Name werden soll, kann ja Gberhaupt nur als Synonym eingegeben werden und dann erst getauscht werden. Das bedeutet dann in der Praxis, dass
die vorherige sec. Referenz ohnehin aktualisiert werden muss.

Als Default beide zu I16schen kénnte wahrscheinlich hilfreich sein, dann muss aber auf jeden Fall ein Hinweis erscheinen. Ich fande es aber noch
besser, wenn einfach alles beim Namen bleibt, wie es eingegeben war.

mail AM:

ok, aber bitte nur flr den Fall, dass syn. sec. <> acc. sec. In den anderen Féllen sollte der Default sein, dass beide die gleiche sec. behalten.
mail AM:

Falls es keinen groBen Mehraufwand bedeutet fande ich es schon gut, quasi alle 3 Méglichkeiten anzubieten, also (sec. beide l6schen, sec. beim
Namen belassen, sec. an der Position akzeptiert/Synonym belassen) mit default auf die erste Losung. Aber wenn das aufwendig ist, dann besser nur
die erste Losung.

Interessant fand ich deinen Hinweis, Nadja, dass die Operation ja meist nur Teil einer anderen Operation ist, nAmlich einen neuen akzeptierten
Namen hinzuzufiigen. Verstehe ich das richtig, dass es sich also eigentlich um Rekombinationen aufgrund neuer taxonomischer Erkenntnisse
handelt?

Eigentlich mUssten wir also dariiber nachdenken, wie wir diese Operation so anbieten kdnnen, dass alle relevanten Schritte in einem stattfinden, also
das Anlegen des neuen Namens (wenn notwendig), das Verschieben des Taxons an eine neue Position und das Anpassen der Sec-Referenzen (und
weitere Operationen). Im Zuge der TaxonID-Diskussion im Kontext von E+M denken wir da ja schon driiber nach. Spéter sollten wir das fur andere
Kontexte wie dem hiesigen machen.

Bezuglich des Handlings der Supplemental Data stimme ich Walters Vorschlag zu.
mail NadjaK:

ja, genau, es sind Neukombinationen aufgrund neue taxonomische Erkenntnisse, oder einer phylogenetischen Studie, und das kommt ja immer
wieder vor. In dem Fall, den ich jetzt eben hatte wurde zum Beispiel Brasiliopuntia schickendantzii neu in die Gattung Salmonoopuntia kombiniert —
der Name kommt neu hinzu und das Taxon wird in eine andere Gattung verschoben.

Wenn alle Schritte als eine Operation gemacht werden kdnnten, ware das natdrlich super.

Und dann noch gibt es den Fall, wie jetzt bei der Kakteen-Checkliste: hier haben wir die Neukombinationen, die in dem Paper erscheinen werden,
schon mal als Synonyme angelegt, um WFO-IDs vergeben zu kénnen, und erst wenn das Paper erscheint, kann ich swappen und das Taxon
verschieben.

mail WB:

ok, aber bitte nur fir den Fall, dass syn. sec. <> acc. sec. In den anderen Féllen sollte der Default sein, dass beide die gleiche sec. behalten.
Nein, bitte in allen Fallen!

Die syn.-sec. Referenz sagt aus, dass dieser Name als Synoym des Taxons betrachtet wird. Wenn dies nun zum Taxonnamen erklart wird,
muss eine neue Publikation vorliegen, die die neue Aussage macht.

Die sec.-Ref. sagt aus, dass das Konzept des Taxons hier zu finden ist. In der Praxis ist das aber schwammig mit der Benennung des Taxons
verknipft. Das kann man zwar in Zukunft durch den Name-in-source klarstellen, das wird aber bislang (noch) nicht gemacht. Also sollte es auch
hier eine bewusste herausgeberische Entscheidung sein, ob man die sec.-Ref. stehen 1&4B3t (und dann ggf. den Name-in-source hinzuflgt).
Diese Operation kann Teil verschiedener Operationen sein — ich wiirde also derzeit dafir pladieren, das nicht mit einem zu verbinden.

mail WB:

das lief parallel. Nadjas Aussage gilt firr einen der Falle (Anderung des Gattungskonzepts). Es gibt aber auch z.B. nomenklatorische Griinde, warum
eines der homotypischen Synonyme den korrekten Namen darstellt.

Und dann gibt’s noch den Fall, dass ein heterotypisches Synonym zum korrekten Namen wird — das ist im Swap bisher, glaube ich, nicht vorgesehen

mail AM:

dieses Vorgehen wére fir einen nicht gréBeren Teil unserer Portale kritisch, da hier die sec. Referenz gleich dem Portal ist bzw. eine Referenz, die
auf einen Subtree zeigt und fir alle Taxa und Synonyme des Subtrees gleich ist.

Nur dort, wo explizit mit externen sec.-Referenzen auf einzelnen Taxa gearbeitet wird (derzeit glaube ich nur Caryo_spp und Cuba und vielleicht
Salvador) ist das relevant, fur alle anderen ist es eine unerwartete Unterbrechung im Workflow und da sie sich i.d.R. nicht mit sec.-Referenzen
beschéftigen auch eher eine nicht so verstandliche.

Genau die gleiche Diskussion hatten wir vor einem Jahr bereits bei den Operationen, die ein Synonym zu einem akzeptierten Taxon machen und
anders herum (also split und merge).

Damals haben wir das einerseits mit dem genannten Dialog, andererseits mit Praferenzen gel6st, also der Méglichkeit, dass DB spezifisch zu
definieren, was passieren soll (immer eine Lésung, immer die andere Lésung oder jedes mal Feedback, ...).

Wenn das flr euch also wichtig ist, auch bei syn. sec. = acc. sec. zu warnen und die sec. beide per default zu I6schen, dann werden wir auch hier um
eine Praferenz nicht herumkommen. AuB3er alle anderen User stimmen dem Vorgehen zu, was ich mir aber nicht so ganz vorstellen kann, da meine
Erfahrung eher ist, dass die User, fir die die sec.-Referenz wenig bis gar nicht relevant ist sich auch nicht damit bei jeder Operation beschaftigen
wollen.

Oder hast du da andere Erfahrung, Walter?

mail WB:

ich wiirde dann eigentlich eher die Einstellung ,sec.-Ref. immer gleich im Subtree” in die Preferenzen stellen dann automatisieren und damit die
Behandlung der konzeptionell ,echten® sec.-Refs. zum default machen. Aber das ist letztendlich Implementierungssache.

Bei Euro+Med kenne ich diese Behandlung der sec.-Refs. — aber ist das tatséchlich auch bei Cichorieae so? Bei Datenbanken, die im
systematischen Teil einer Publikation landen sollen, wird es wohl eher gebraucht.

Aber, wie gesagt, das andert nichts daran, dass man hier unabsichtliche Fehleintrage — wo relevant — unbedingt vermeiden muss. Die Mdglichkeit der
Zuschreibung an allen Ecken und Enden ist ja eben ein Alleinstellungsmerkmal der Platform.

#8 - 07/07/2021 12:15 PM - Andreas Miiller
- Status changed from Feedback to In Progress

- Target version changed from Release 5.25 to Release 5.45
